package hu.stunts.scr.ui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;

import javax.swing.*;

public class TextDump extends JPanel {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8064579047183086782L;
	
	private JTextArea titleField = new JTextArea();
	private JTextArea dumpField = new JTextArea();
	
	public TextDump (String title, String content, int colsD, int rowsD) {
		initializeTitleField(title);
		initializeDumpField(content, colsD, rowsD);
		setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
		add(titleField);
		add(dumpField);
	}
	
	public TextDump (String title, String content) {
		this(title, content, 30, 5);
	}
	
	private void initializeTitleField (String title) {
		titleField.setMaximumSize(new Dimension(320,80));
		titleField.setEditable(false);
		titleField.setText(title);
		titleField.setFont(this.getFont().deriveFont(Font.BOLD));
	}
	
	private void initializeDumpField (String content, int colsD, int rowsD) {
		dumpField.setColumns(colsD);
		dumpField.setRows(rowsD);
		dumpField.setEditable(false);
		dumpField.setText(content);
	}
	
	public void setTitleField(String title) {
		titleField.setText(title);
	}
	
	public void setDumpField(String content) {
		dumpField.setText(content);
	}
	

	public void appendToDump(String extraContent) {
		dumpField.append(extraContent);
	}
	
	public void setCommonBG(Color c) {
		titleField.setBackground(c);
		dumpField.setBackground(c);
	}
	
}
